Configuring minions as single use
[ci-management.git] / jjb / vpp / include-raw-vpp-maven-push.sh
index c3361b7..24bd5c7 100644 (file)
@@ -1,21 +1,14 @@
 #!/bin/bash
-
-# Copyright 2015,2016 The Linux Foundation
-#           2015,2016 Cisco Systems
-
 set -xe -o pipefail
 echo "*******************************************************************"
 echo "* STARTING PUSH OF PACKAGES TO REPOS"
 echo "* NOTHING THAT HAPPENS BELOW THIS POINT IS RELATED TO BUILD FAILURE"
 echo "*******************************************************************"
 
-source ../scripts/maven_push_functions.sh
-
-# Determine the path to maven
-if [ -z "${MAVEN_SELECTOR}" ]; then
-    echo "ERROR: No Maven install detected!"
-    exit 1
-fi
+MVN="/opt/apache/maven/bin/mvn"
+GROUP_ID="io.fd.${PROJECT}"
+BASEURL="${NEXUSPROXY}/content/repositories/fd.io."
+BASEREPOID='fdio-'
 
 if [ "${OS}" == "ubuntu1404" ]; then
     # Find the files